<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2009  - DIGITEO - Sylvestre LEDRU
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="GetLastJob" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>

  <refnamediv>
    <refname>GetLastJob</refname>

    <refpurpose>Returns the latest job sent to Scilab engine</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <synopsis>BOOL GetLastJob(char *JOB,int nbcharsJOB);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Description</title>

    <para>This fonction returns the latest job sent to Scilab engine with the
    command SendScilabJob or SendScilabJobs. This can be used to display a
    command which failed.</para>

    <para>BOOL is just a simple typedef on int (<literal>typedef int
    BOOL</literal>). TRUE is defined on 1 (<literal>#define TRUE 1</literal>)
    and FALSE is defined on 0 (<literal>#define FALSE 0</literal>).</para>
  </refsection>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>JOB</term>

        <listitem>
          <para>a standard C char* which will be filled with the latest
          job</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>nbcharsJOB</term>

        <listitem>
          <para>The number of char of JOB</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>returns</term>

        <listitem>
          <para>1 (TRUE) if the operation is successfull.</para>

          <para>0 (FALSE) if an error during initialization occured.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
// A simple GetLastJob example
// See SCI/modules/call_scilab/examples/basicExamples/GetLastJob.c for 
// the full code
int code=SendScilabJob("failedMyCurrentJob=%pi*3/0");
if (code!=0){
 char lastjob[4096];
 if (GetLastJob(lastjob,4096))  {
  printf("Failed command: %s\n",lastjob);
 }
}
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link
      linkend="compile_and_run_call_scilab">Compile and run with
      call_scilab</link>, <link linkend="SendScilabJob">SendScilabJob</link>,
      <link linkend="TerminateScilab">TerminateScilab</link>, <link
      linkend="DoubleManagement_callscilab">Double Management</link>, <link
      linkend="BooleanManagement_callscilab">Boolean Management</link>, <link
      linkend="ComplexManagement_callscilab">Complex Management</link>, <link
      linkend="StringManagement_callscilab">String Management</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <para>Sylvestre Ledru</para>
  </refsection>
</refentry>
